Bug 966494 - All admonitions are missing IDs
All admonitions are missing IDs
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: 3.2
: ---
Assigned To: Jeff Fearn
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 07:20 EDT by Martin Prpič
Modified: 2013-08-09 00:48 EDT (History)
7 users (show)

See Also:
Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-09 00:48:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2013-05-23 07:20:52 EDT
All admonitions are missing IDs even if one is defined in the XML.

For example, the note "Finding which package owns a file" in [1] is missing an ID that is defined in the XML as:

<note id="note-Finding_which_package_owns_a_file">

The resulting HTML is as follows:

    <div class="note">
      <div class="admonition_header">
        <p><strong>Finding which package owns a file</strong></p>
      </div>
      <div class="admonition">
        <div class="para">
          ...

Thus, this note cannot be referred to from other parts of the document or linked to with a URL.

Looking through a couple of books and admonitions, this seems to occur in all books for all admonitions types.

Thanks,
Martin

[1] https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Deployment_Guide/sec-Installing.html
Comment 1 Ruediger Landmann 2013-05-23 19:25:51 EDT
This is a bug in Publican 3.1; moving there for resolution.
Comment 2 Jeff Fearn 2013-07-07 22:40:13 EDT
To ssh://git.fedorahosted.org/git/publican.git
   f3b2dce..a4dd3cf  HEAD -> devel
Comment 3 HSS Product Manager 2013-07-08 01:47:40 EDT
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.
Comment 4 Scott Radvan 2013-07-18 23:44:37 EDT
I have verified that admonition id attributes now appear in the resulting HTML, and can be linked to

publican-3.1.5-0.fc19.t61.noarch
Comment 5 Jeff Fearn 2013-08-09 00:48:24 EDT
The fix for this bug has been shipped in publican 3.2.0

Note You need to log in before you can comment on or make changes to this bug.